Linux升级或安装gcc/g++编译器环境

原创
2019/08/01 12:06
阅读数 4.1K

一、首先检查gcc,g++是否存在

# gcc -v 

# g++ -v

如果2个命令都显示了版本信息,说明安装了,可以跳过第2步

 

二、yum安装gcc g++

# yum -y install gcc

# yum -y install gcc-c++

这2个不安装的话后面安装6.1的时候会报错误:

checking how to run the C++ preprocessor... /lib/cpp
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.

 

三、最后当然就是升级工作了  

# wget http://ftp.gnu.org/gnu/gcc/gcc-6.1.0/gcc-6.1.0.tar.gz    //下载gcc-6.1.0.tar.gz
# tar -zvxf gcc-6.1.0.tar.gz    //解压缩
# cd gcc-6.1.0    //进入gcc目录
# ./contrib/download_prerequisites  //下载相应的依赖程序
# mkdir build && cd build      //新建一个build目录并且切换到该目录
# ../configure -enable-checking=release -enable-languages=c,c++ -disable-multilib  //配置
# make && make install    //构建和安装

注意!最好使用root权限进行安装!!!

 

展开阅读全文
GCC
打赏
0
0 收藏
分享
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部